jQuery(document).ready(function($) {
    // Add click event handler to the print order button
    $(document).on('click', '.print_order', function(e) {
        e.preventDefault();

        var orderId = $(this).data('order-id');
        var nonce = $(this).data('nonce');

        // AJAX request to generate the order content
        $.ajax({
            type: 'GET',
            url: ajaxurl,
            data: {
                action: 'etwp_wc_print_order',
                id: orderId,
                nonce: nonce,
            },
            success: function(response) {
                var newTab = window.open();
                newTab.document.write(response);
                newTab.document.close();
            },
            error: function(error) {
                console.error('Error fetching order data: ', error);
            }
        });
    });
});
